io.etcd.jetcd.api

## Interface AuthUserChangePasswordRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AuthUserChangePasswordRequest, AuthUserChangePasswordRequest.Builder

    public interface AuthUserChangePasswordRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` name is the name of the user whose password is being changed.
`com.google.protobuf.ByteString` `getNameBytes()` name is the name of the user whose password is being changed.
`String` `getPassword()` password is the new password for the user.
`com.google.protobuf.ByteString` `getPasswordBytes()` password is the new password for the user.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getName

    String getName()

     name is the name of the user whose password is being changed.

`string name = 1;`

Returns:
  The name.

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

     name is the name of the user whose password is being changed.

`string name = 1;`

Returns:
  The bytes for name.

#### getPassword

    String getPassword()

     password is the new password for the user.

`string password = 2;`

Returns:
  The password.

#### getPasswordBytes

    com.google.protobuf.ByteString getPasswordBytes()

     password is the new password for the user.

`string password = 2;`

Returns:
  The bytes for password.